Bug 1414929 - Respin Thunderbird to make it compatible with NSS 3.28.1
Summary: Respin Thunderbird to make it compatible with NSS 3.28.1
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1381400
TreeView+ depends on / blocked
 
Reported: 2017-01-19 18:39 UTC by Dimitris
Modified: 2017-12-12 10:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:50:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Dimitris 2017-01-19 18:39:26 UTC
Description of problem:

With nss 3.28 (https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012) Thunderbird fails to connect to Google accounts (login to <account> failed).

Version-Release number of selected component (if applicable):

45.6.0-3.fc25

How reproducible:

Every time

Steps to Reproduce:
1. Google email account (I use OAuth on mine)
2. Upgrade nss to 3.28
3. TB fails to connect

Actual results:

"failed to log in to account <...>"

Expected results:

Connect/authenticate as normal

Additional info:

#1413303, looks like a patch is available.

Comment 1 Christian Dersch 2017-01-19 18:56:48 UTC
I can confirm the issue :(

Comment 2 Kai Engert (:kaie) (inactive account) 2017-01-19 19:43:38 UTC
Thanks for your report. I've unpushed the Fedora updates.

Comment 3 Kai Engert (:kaie) (inactive account) 2017-01-19 21:22:32 UTC
I see the patch has been backported by upstream into the 45.x branch:
  https://hg.mozilla.org/releases/mozilla-esr45/rev/bf0dd9ae6807

So the next Thunderbird 45.x update will contain the required fix.

I don't know the release schedule. It might be helpful to respin the current Thunderbird build earlier than that date, to allow earlier testing of NSS 3.28

Comment 4 Christian Dersch 2017-01-19 21:49:33 UTC
FYI: NSS is required by a set of some more browsers including icecat and seamonkey (I think they'll be similar to firefox and thunderbird) as well as chromium and qtwebengine (don't know if they make a similar test).

Comment 5 Kai Engert (:kaie) (inactive account) 2017-01-19 21:55:06 UTC
I've filed bugs for seamonkey and xulrunner already.

Thanks for the hint, I didn't know we have icecat in Fedora!
I'll file another bug for it and make it block the 3.28.1 update bug.

Comment 6 Christian Dersch 2017-01-19 21:57:08 UTC
dnf repoquery --whatrequires "libnss3.so()(64bit)"

Comment 7 Kai Engert (:kaie) (inactive account) 2017-01-19 21:59:16 UTC
(In reply to Christian Dersch from comment #6)
> dnf repoquery --whatrequires "libnss3.so()(64bit)"

No, it's not that simple, that list is too big. The set of affected application is smaller.

The relevant code is in Mozilla network application code, HTTP v2 protocol code.

Comment 8 Christian Dersch 2017-01-19 22:00:19 UTC
It is that simple to get a list of candidates ;) icecat is listed there...

Comment 9 Kai Engert (:kaie) (inactive account) 2017-01-20 19:29:35 UTC
please DON'T push to bodhi

We'd like to create a combined update for all related packages, because the NSS packages will use a Conflicts: statement with the earlier version of your package.

Comment 10 Fedora Update System 2017-01-21 11:51:15 UTC
firefox-50.1.0-3.fc25 icecat-45.5.1-6.fc25 nss-3.28.1-1.3.fc25 nss-softokn-3.28.1-1.0.fc25 nss-util-3.28.1-1.0.fc25 seamonkey-2.46-3.fc25 thunderbird-45.6.0-5.fc25 xulrunner-44.0-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 11 Fedora Update System 2017-01-21 11:51:37 UTC
firefox-50.1.0-3.fc25 icecat-45.5.1-6.fc25 nss-3.28.1-1.3.fc25 nss-softokn-3.28.1-1.0.fc25 nss-util-3.28.1-1.0.fc25 seamonkey-2.46-3.fc25 thunderbird-45.6.0-5.fc25 xulrunner-44.0-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 12 Fedora Update System 2017-01-21 11:52:37 UTC
firefox-50.1.0-3.fc24 icecat-45.5.1-6.fc24 nss-3.28.1-1.3.fc24 nss-softokn-3.28.1-1.0.fc24 nss-util-3.28.1-1.0.fc24 seamonkey-2.46-3.fc24 thunderbird-45.6.0-5.fc24 xulrunner-44.0-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 13 Fedora Update System 2017-01-21 11:52:56 UTC
firefox-50.1.0-3.fc24 icecat-45.5.1-6.fc24 nss-3.28.1-1.3.fc24 nss-softokn-3.28.1-1.0.fc24 nss-util-3.28.1-1.0.fc24 seamonkey-2.46-3.fc24 thunderbird-45.6.0-5.fc24 xulrunner-44.0-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 14 Fedora Update System 2017-01-21 21:52:22 UTC
firefox-50.1.0-3.fc24, icecat-45.5.1-6.fc24, nss-3.28.1-1.3.fc24, nss-softokn-3.28.1-1.0.fc24, nss-util-3.28.1-1.0.fc24, seamonkey-2.46-3.fc24, thunderbird-45.6.0-5.fc24, xulrunner-44.0-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 15 Fedora Update System 2017-01-21 22:24:59 UTC
firefox-50.1.0-3.fc25, icecat-45.5.1-6.fc25, nss-3.28.1-1.3.fc25, nss-softokn-3.28.1-1.0.fc25, nss-util-3.28.1-1.0.fc25, seamonkey-2.46-3.fc25, thunderbird-45.6.0-5.fc25, xulrunner-44.0-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 16 Fedora Update System 2017-01-24 03:19:45 UTC
firefox-50.1.0-3.fc25, icecat-45.5.1-6.fc25, nss-3.28.1-1.3.fc25, nss-softokn-3.28.1-1.0.fc25, nss-util-3.28.1-1.0.fc25, seamonkey-2.46-3.fc25, thunderbird-45.6.0-5.fc25, xulrunner-44.0-9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-01-24 03:48:26 UTC
firefox-50.1.0-3.fc24, icecat-45.5.1-6.fc24, nss-3.28.1-1.3.fc24, nss-softokn-3.28.1-1.0.fc24, nss-util-3.28.1-1.0.fc24, seamonkey-2.46-3.fc24, thunderbird-45.6.0-5.fc24, xulrunner-44.0-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Kevin Kofler 2017-01-25 02:19:35 UTC
> FYI: NSS is required by a set of some more browsers including icecat and
> seamonkey (I think they'll be similar to firefox and thunderbird) as well as
> chromium and qtwebengine (don't know if they make a similar test).

Chromium and QtWebEngine use NSS only to load the system certificate store, they do everything else with Google's BoringSSL fork of OpenSSL. QtWebEngine stopped using NSS for everything after a previous NSS update (3.21, IIRC) caused similar compatibility issues, Chromium had done it even a bit earlier.

Comment 19 Fedora End Of Life 2017-11-16 19:17:57 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2017-12-12 10:50:31 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.